/* The trick I use for 'basic_text_iprimitive.hpp'
 * Similar stuff could be done for float and long double...
 */

// Add this:
#ifdef BOOST_ARCHIVE_TRICK_FLOATING_NAN_INF 
    void load(double & t)
    {
        if(is.fail()) 
            boost::throw_exception(archive_exception(archive_exception::stream_error));
	char next;
	is >> next;
	if (next == ']')
	  {
	    t = -std::numeric_limits<double>::infinity ();
	  }
	else if (next == '[')
	  {
	    t = std::numeric_limits<double>::infinity ();
	  }
	else if (next == '!')
	  {
	    t = std::numeric_limits<double>::quiet_NaN ();
	  }
	else 
	  {
	    is.putback (next);
	    is >> t;
	  }
    }
#endif
